# module ActiveRecord::ConnectionAdapters::SQLite3::ColumnMethods

### Public Instance Methods

primary_key(name, type = :primary_key, **options) click to toggle source
Calls superclass method

    # File lib/active_record/connection_adapters/sqlite3/schema_definitions.rb, line 5
    def primary_key(name, type = :primary_key, **options)
      if %(integer bigint).include?(type) && (options.delete(:auto_increment) == true || !options.key?(:default))
        type = :primary_key
      end

      super
    end